package com.fastest.pass.login.domain.usecase

import android.util.Log
import com.fastest.pass.app.BaseUseCase
import com.fastest.pass.app.WebResponse
import com.fastest.pass.login.data.model.LoginRequest
import com.fastest.pass.login.data.model.LoginResponse
import com.fastest.pass.login.domain.repository.LoginRepository
import javax.inject.Inject

class LoginUseCase @Inject constructor(
    private val loginRepository: LoginRepository
): BaseUseCase<LoginRequest, WebResponse<LoginResponse>>() {
    override suspend fun execute(params: LoginRequest): WebResponse<LoginResponse> {
        Log.d("test_api_login", "invoke() , LoginUseCase")
        return loginRepository.loginRepository(params)
    }
}